<?php

namespace App\Filament\Resources\Moughataas\Schemas;

use Filament\Forms\Components\Select;
use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class MoughataaForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('libellear')
                    ->required(),
                TextInput::make('libellefr')
                    ->required(),
                Select::make('region_id')
                    ->relationship('region', 'id')
                    ->required(),
            ]);
    }
}
